%define oname	geoclue

%define libgeoclue_major 0
%define libgeoclue %mklibname geoclue %{libgeoclue_major}
%define develname %mklibname -d geoclue

Name:          geoclue1
Version:       0.12.99
Release:       %mkrel 4
Summary:       A modular geoinformation service
Group:         System/Libraries
License:       LGPLv2
URL:           http://geoclue.freedesktop.org/
Source0:       http://freedesktop.org/~hadess/%{oname}-%{version}.tar.xz
Patch0:        geoclue-0.12.0-gps.patch
Patch1:		lp_738584.patch
Patch2:		master-provider-connect.patch
BuildRequires: pkgconfig(dbus-glib-1) >= 0.86
BuildRequires: pkgconfig(gio-2.0) >= 2.25.7
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gypsy) >= 0.7.1
BuildRequires: pkgconfig(libnm-glib)
BuildRequires: pkgconfig(libnm-util)
BuildRequires: pkgconfig(libsoup-gnome-2.4)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: xsltproc
Requires: dbus
Obsoletes:     geoclue < 0.12.99-2

%description
Geoclue is a modular geoinformation service built on top of the D-Bus
messaging system. The goal of the Geoclue project is to make creating
location-aware applications as simple as possible.

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%dir %{_datadir}/geoclue-providers
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Master.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Example.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Geonames.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Hostip.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Localnet.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Manual.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Nominatim.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Plazes.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Skyhook.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Yahoo.service
%{_datadir}/geoclue-providers/geoclue-example.provider
%{_datadir}/geoclue-providers/geoclue-geonames.provider
%{_datadir}/geoclue-providers/geoclue-hostip.provider
%{_datadir}/geoclue-providers/geoclue-localnet.provider
%{_datadir}/geoclue-providers/geoclue-manual.provider
%{_datadir}/geoclue-providers/geoclue-nominatim.provider
%{_datadir}/geoclue-providers/geoclue-plazes.provider
%{_datadir}/geoclue-providers/geoclue-skyhook.provider
%{_datadir}/geoclue-providers/geoclue-yahoo.provider
%{_libexecdir}/geoclue-example
%{_libexecdir}/geoclue-geonames
%{_libexecdir}/geoclue-hostip
%{_libexecdir}/geoclue-localnet
%{_libexecdir}/geoclue-manual
%{_libexecdir}/geoclue-nominatim
%{_libexecdir}/geoclue-master
%{_libexecdir}/geoclue-plazes
%{_libexecdir}/geoclue-skyhook
%{_libexecdir}/geoclue-yahoo
%{_datadir}/GConf/gsettings/geoclue
%{_datadir}/glib-2.0/schemas/org.freedesktop.Geoclue.gschema.xml

%doc %{_datadir}/gtk-doc/html/geoclue/
%{_bindir}/geoclue-test-gui
%{_libexecdir}/geoclue-gypsy
%{_datadir}/geoclue-providers/geoclue-gypsy.provider
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Gypsy.service

%{_libexecdir}/geoclue-gsmloc
%{_datadir}/geoclue-providers/geoclue-gsmloc.provider
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Gsmloc.service

#--------------------------------------------------------------------

%package -n %libgeoclue
Summary:   A modular geoinformation service
Group: System/Libraries

%description -n %libgeoclue
A modular geoinformation service

%files -n %libgeoclue
%defattr(-,root,root)
%_libdir/libgeoclue.so.%{libgeoclue_major}*

#--------------------------------------------------------------------

%package -n %develname
Summary: Development package for geoclue
Group:    Development/Libraries
Provides: %name-devel
Provides: lib%name-devel
Requires: %libgeoclue = %version-%release

%description -n %develname
Files for development with geoclue.

%files -n %develname
%defattr(-,root,root)
%{_includedir}/geoclue
%{_libdir}/pkgconfig/geoclue.pc
%{_libdir}/libgeoclue.so


#--------------------------------------------------------------------

%prep
%setup -q -n %{oname}-%{version}
%apply_patches


%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

#Remove libtool archives.
find %{buildroot} -name '*.la' -delete

# Install the test gui as it seems the test isn't installed any more
mkdir $RPM_BUILD_ROOT%{_bindir}
cp test/.libs/geoclue-test-gui $RPM_BUILD_ROOT%{_bindir}/

%post
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%changelog
* Wed Jun 28 2017 bb2 <bb2> 0.12.99-4pclos2017
- drop build against libgpsd-devel

* Mon Oct 14 2013 billybot <billybot> 0.12.99-3pclos2013
- apply deb patches

* Mon Oct 14 2013 billybot <billybot> 0.12.99-2pclos2013
- rename old geoclue to geoclue1

* Thu Jul 18 2013 Texstar <texstar at gmail.com> 0.12.99-1pclos2013
-  update

* Wed Aug 31 2011 Texstar <texstar at gmail.com> 0.12.0-2pclos2011
- rebuild new network manager

* Thu Aug 25 2011 Texstar <texstar at gmail.com> 0.12.0-1pclos2011
- 0.12.0

* Sat Jan 02 2010 Texstar <texstar at gmail.com> 0.11.1.1-1pclos2010
- rebuild

* Wed Oct 21 2009 Texstar <texstar at gmail.com> 0.11.1.1-0.1pclos2010
- import into pclos
